Package org.eclipse.emf.spi.cdo

# Class CDOSessionProtocol.RepositoryTimeResult

java.lang.Object
org.eclipse.emf.spi.cdo.CDOSessionProtocol.RepositoryTimeResult

Enclosing interface:
  CDOSessionProtocol

public static final class CDOSessionProtocol.RepositoryTimeResult extends Object
If the meaning of this type isn't clear, there really should be more of a description here...

Author:
  Eike Stepper

## Constructor Summary

Constructors
Constructor
Description
`RepositoryTimeResult()`

## Method Summary

Modifier and Type
Method
Description
`long`
`getAproximateRepositoryOffset()`
`long`
`getAproximateRepositoryTime()`
`long`
`getConfirmed()`
`long`
`getIndicated()`
`long`
`getRequested()`
`long`
`getResponded()`
`void`
`setConfirmed(long confirmed)`
`void`
`setIndicated(long indicated)`
`void`
`setRequested(long requested)`
`void`
`setResponded(long responded)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### RepositoryTimeResult

public RepositoryTimeResult()

## Method Details

### getRequested

public long getRequested()

### setRequested

public void setRequested(long requested)

### getIndicated

public long getIndicated()

### setIndicated

public void setIndicated(long indicated)

### getResponded

public long getResponded()

### setResponded

public void setResponded(long responded)

### getConfirmed

public long getConfirmed()

### setConfirmed

public void setConfirmed(long confirmed)

### getAproximateRepositoryOffset

public long getAproximateRepositoryOffset()

### getAproximateRepositoryTime

public long getAproximateRepositoryTime()

### toString

public String toString()

Overrides:
  `toString` in class `Object`